Package org.jboss.resteasy.spi.metadata

## Class ResourceBuilder.ResourceLocatorBuilder<T extends ResourceBuilder.ResourceLocatorBuilder<T>>

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.ResourceBuilder.ResourceLocatorBuilder<T>

- Direct Known Subclasses:
    `ResourceBuilder.ResourceMethodBuilder`
  Enclosing class:
    ResourceBuilder

      public static class ResourceBuilder.ResourceLocatorBuilder<T extends ResourceBuilder.ResourceLocatorBuilder<T>>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceLocatorBuilder​(ResourceBuilder.ResourceClassBuilder resourceClassBuilder, Method method, Method annotatedMethod)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ResourceBuilder.ResourceClassBuilder` | `buildMethod()` |
    `T` | `genericReturnType​(Type type)` |
    `DefaultResourceLocator` | `getLocator()` |
    `ResourceBuilder.LocatorMethodParameterBuilder` | `param​(int i)` |
    `T` | `path​(String path)` |
    `T` | `returnType​(Class<?> type)` |
    `T` | `returnType​(javax.ws.rs.core.GenericType type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceLocatorBuilder

          public ResourceLocatorBuilder​(ResourceBuilder.ResourceClassBuilder resourceClassBuilder,
                                        Method method,
                                        Method annotatedMethod)

  - ### Method Detail

    - #### getLocator

          public DefaultResourceLocator getLocator()

    - #### returnType

          public T returnType​(Class<?> type)

    - #### genericReturnType

          public T genericReturnType​(Type type)

    - #### returnType

          public T returnType​(javax.ws.rs.core.GenericType type)

    - #### param

          public ResourceBuilder.LocatorMethodParameterBuilder param​(int i)

    - #### buildMethod

          public ResourceBuilder.ResourceClassBuilder buildMethod()

    - #### path

          public T path​(String path)